XMLStorageAccess
Date: 2017-06-10

org.gcube.informationsystem.collector.impl.porttypes

## Class XMLStorageAccess

- java.lang.Object
- - GCUBEPortType
  - - org.gcube.informationsystem.collector.impl.porttypes.XMLStorageAccess

-     public class XMLStorageAccess
      extends GCUBEPortType

  XMLStorageAccess portType implementation.
  It gives remote access to administration features of the XML Storage
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLStorageAccess()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VOID` | `backup(VOID params)` Backups the current content of the XMLStorage
    `VOID` | `connect(VOID params)`
    `VOID` | `restore(VOID params)`
    `VOID` | `shutdown(VOID params)` Shutdowns the XMLStorage

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStorageAccess

          public XMLStorageAccess()

  - ### Method Detail

    - #### backup

          public VOID backup(VOID params)
                      throws BackupFailedFaultType,
                             XMLStorageNotAvailableFaultType

      Backups the current content of the XMLStorage
      Throws:
        `BackupFailedFaultType` - if the backup fails
        `XMLStorageNotAvailableFaultType` - if the XMLStorage is not available (may be corrupted)

    - #### restore

          public VOID restore(VOID params)
                       throws BackupNotAvailableFaultType,
                              XMLStorageNotAvailableFaultType

      Parameters:
        `params` -
      Returns:
      Throws:
        `BackupNotAvailableFaultType`
        `XMLStorageNotAvailableFaultType`

    - #### shutdown

          public VOID shutdown(VOID params)
                        throws BackupFailedFaultType,
                               XMLStorageNotAvailableFaultType,
                               ShutdownFailedFaultType

      Shutdowns the XMLStorage
      Throws:
        `BackupFailedFaultType` - if the backup before the shutdown fails
        `XMLStorageNotAvailableFaultType` - if the XMLStorage is not available
        `ShutdownFailedFaultType` - if the shutdown fails

    - #### connect

          public VOID connect(VOID params)
                       throws XMLStorageNotAvailableFaultType,
                              AlreadyConnectedFaultType

      Parameters:
        `params` -
      Returns:
      Throws:
        `XMLStorageNotAvailableFaultType`
        `AlreadyConnectedFaultType`